## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemTemplateElement::LocatorProxy Class Reference

`#include <ElemTemplateElement.hpp>`

Inheritance diagram for ElemTemplateElement::LocatorProxy

Collaboration diagram for ElemTemplateElement::LocatorProxy:

List of all members.

## Public Methods

- LocatorProxy (const ElemTemplateElement& theElement)
- virtual ~LocatorProxy ()
- virtual const XMLCh* getPublicId () const
- virtual const XMLCh* getSystemId () const
- virtual size_type getLineNumber () const
- virtual size_type getColumnNumber () const

## Constructor & Destructor Documentation

ElemTemplateElement::LocatorProxy::LocatorProxy ( | const ElemTemplateElement & theElement )

virtual ElemTemplateElement::LocatorProxy::~LocatorProxy ( | )`[virtual]`

## Member Function Documentation

virtual size_type ElemTemplateElement::LocatorProxy::getColumnNumber ( | ) const`[virtual]`

Reimplemented from XalanLocator.

virtual size_type ElemTemplateElement::LocatorProxy::getLineNumber ( | ) const`[virtual]`

Reimplemented from XalanLocator.

virtual const XMLCh* ElemTemplateElement::LocatorProxy::getPublicId ( | ) const`[virtual]`

Reimplemented from XalanLocator.

virtual const XMLCh* ElemTemplateElement::LocatorProxy::getSystemId ( | ) const`[virtual]`

Reimplemented from XalanLocator.

The documentation for this class was generated from the following file:

- ElemTemplateElement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.